#
# spec file for package abiword2 (Version 1.99.5)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  ImageMagick ImageMagick-Magick++ ImageMagick-devel aspell aspell-devel eel eel-devel enchant enchant-devel freetype2 freetype2-devel fribidi fribidi-devel gail gail-devel gal2 gal2-devel gnome-libs-devel gnome2-devel-packages gpp gucharmap gucharmap-devel libexif libgda libgda-devel libgnomedb libgnomedb-devel libgnomeprintui libgpp libgsf libgsf-devel liblcms liblcms-devel libpng-devel-packages librsvg librsvg-devel libwmf libwmf-devel libxslt libxslt-devel nautilus2 nautilus2-devel python python-devel readline readline-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel ImageMagick ImageMagick-Magick++ ImageMagick-devel XFree86-devel XFree86-libs alsa alsa-devel aspell aspell-devel atk atk-devel audiofile autoconf automake binutils bonobo-activation bonobo-activation-devel cracklib eel eel-devel enchant enchant-devel esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel fribidi fribidi-devel gail gail-devel gal2 gal2-devel gcc gcc-c++ gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-filesystem gnome-libs-devel gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel gucharmap gucharmap-devel libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libexif libgda libgda-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomedb libgnomedb-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libgsf libgsf-devel libjpeg liblcms liblcms-devel libpng libpng-devel librsvg librsvg-devel libstdc++-devel libtool libwmf libwmf-devel libwnck libwnck-devel libxml2 libxml2-devel libxslt libxslt-devel linc linc-devel nautilus2 nautilus2-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl pkgconfig popt-devel python python-devel readline-devel rpm update-desktop-files

Name:         abiword2
%define _name abiword
%define prefix /opt/gnome
License:      GPL
Group:        Productivity/Office/Other
Requires:     ghostscript-fonts-std, ghostscript-fonts-other
Autoreqprov:  on
Provides:     abiword
Obsoletes:    abiword
Summary:      A Multi-Platform Word Processor
Version:      1.99.5
Release:      95
URL:          http://www.abisource.com/
Source:       abiword-%{version}.tar.bz2
Source1:      abiword-plugins-%{version}.tar.bz2
Patch0:       va_copy.diff
Patch1:       wv-1.0.0-fix_overflow.patch
Patch3:       abiword-rtf-cesa-2005-004.patch
Patch4:       abi-rtf-security2-2-2-10.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
AbiWord is a multi-platform word processor with a GTK+ interface on the
UNIX platform. For extended functionality and integration this version
is compiled with GNOME support. Abiword with the GNOME front-end is
part of the GNOME Office Suite.



Authors:
--------
    Thomas Fletcher <thomasf@qnx.com>
    Jeff Hostetler <jeff@abisource.com>
    Paul Rohr <paul@abisource.com>
    Bob Sievers <bob@abisource.com>
    Eric Sink <eric@abisource.com>
    Shaw Terwilliger <sterwill@abisource.com>

%prep
%setup -q -n %{_name}-%{version} -a1
%patch
cd wv
%patch1 -p1
cd ..
cd abi
%patch3
%patch4
cd ..
find . -name ".cvsignore" -exec rm -f {} \;
find . -type d -name "CVS" -exec rm -rf {} \; 2>/dev/null || true
DIR=$(find ../ -name ltmain.sh -printf "%h ")
%{?suse_update_config:%{suse_update_config -f $DIR}}
# Python 2.3 fix
sed 's:\([Pp]ython\)\( \|\)2\.2:\1\22.3:g;/AC_CHECK_LIB/,/	\])/s/	\])/	], [-lpthread -lm -lutil -ldl])/' <abiword-plugins/tools/gypsython/plugin.m4 >abiword-plugins/tools/gypsython/plugin.m4~
mv abiword-plugins/tools/gypsython/plugin.m4~ abiword-plugins/tools/gypsython/plugin.m4
sed 's:\([Pp]ython\)\( \|\)2\.2:\1\22.3:g' <abiword-plugins/tools/gypsython/xp/Gypsython.h >abiword-plugins/tools/gypsython/xp/Gypsython.h~
mv abiword-plugins/tools/gypsython/xp/Gypsython.h~ abiword-plugins/tools/gypsython/xp/Gypsython.h
# NOTE: can use aiksaurus (Thesaurus), libots (Open Text Summarizer), http://www.inter7.com/eps/ (Multipart), psiconv (Psion), libwpd (Word Perfect), wv (MS-Word, has also internal)

%build
cd abi
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=/etc%prefix \
    --enable-gnome \
    --enable-xft \
    --enable-scripting \
    --with-libwmf \
    --with-gnomevfs
make
cd ../abiword-plugins
./nextgen.sh
CFLAGS="$RPM_OPT_FLAGS" \
LDFLAGS="-L/usr/%_lib/python2.3/config" \
CPPFLAGS="-I/opt/gnome/%_lib/glib-2.0/include" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=/etc%prefix
make

%install
cd abi
make DESTDIR=$RPM_BUILD_ROOT install
cd ../abiword-plugins
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file -i abiword Office WordProcessor

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc abi/COPYING abi/COPYRIGHT.TXT abi/CREDITS.TXT abi/README.TXT abi/BiDiReadme.txt abi/docs
/usr/share/applications/*.desktop
%{prefix}/bin/*
%{prefix}/%_lib/AbiWord-2.0
%{prefix}/share/AbiSuite-2.0
%{prefix}/%_lib/bonobo/servers/*.server

%changelog -n abiword2
* Wed Oct 05 2005 - sbrabec@suse.cz
- Fixed more buffer overflows in RTF importer (#120097).
* Tue Sep 27 2005 - sbrabec@suse.cz
- Fixed stack overflow (#118545, CESA-2005-004 - rev 1).
* Thu Nov 11 2004 - sbrabec@suse.cz
- Fixed buffer overflow in the wvHandleDateTimePicture function in wv
  library: CAN-2004-0645 (#47767).
* Thu Sep 18 2003 - meissner@suse.de
- drop glib and glib-devel from neededforbuild, no longer needed.
* Tue Sep 16 2003 - sbrabec@suse.cz
- Provide and obsolete abiword (bug #31002).
* Mon Sep 01 2003 - adrian@suse.de
- install desktop file
* Thu Aug 28 2003 - sbrabec@suse.cz
- Updated to version 1.99.5.
- Added gnome-libs-devel to neededforbuild (for gnome-config).
- Fixed Python 2.3 support.
* Tue Aug 26 2003 - sbrabec@suse.cz
- Fixed GNOME-DB support.
* Wed Aug 20 2003 - sbrabec@suse.cz
- Updated to version 1.99.4.
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Mon Aug 18 2003 - sbrabec@suse.cz
- Use libgda instead of libgda2 (package was renamed).
* Thu Jul 31 2003 - sf@suse.de
- fixed broken VA_COPY (use __va_copy)
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jun 16 2003 - sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
